# RippleNet Server API
The {% $env.PUBLIC_VAR_RNSERVER %} API provides you the ability to develop custom applications to manage or interact with your RippleNet instance.
Check out the [best practices](../../ripplenet/best-practices/) and [tutorials](../../ripplenet/tutorials/).
### Authentication
All API operations require a bearer access token for your target environment.
Learn how to [request the access token](../best-practices/authentication/#request-the-access-token).
### API environments
The RippleNet Server API creates a dynamic `[domainPrefix]` that consists of `{tenant}.{environment}`.
**Note**: This example uses `aperture` as the tenant. Your tenant ID is different.
| Environment | Domaing Prefix | Domain | Base URL |
| --- | --- | --- | --- |
| Test | `aperture.test` | `ripplexcurrent.com`| `https://aperture.test.ripplexcurrent.com` |
| UAT | `aperture.uat` | `ripplexcurrent.com`| `https://aperture.uat.ripplexcurrent.com` |
| Production | `aperture.prod` | `ripplexcurrent.com`| `https://aperture.prod.ripplexcurrent.com` |
Version: 4.0.0
## Servers
```
//[domainPrefix].ripplexcurrent.com/v4
```
## Security
### Bearer
All operations require a `Bearer` access token in the `Authorization` header of each request.
Learn about [authentication](/products/payments-odl/api-docs/ripplenet/best-practices/authentication/).
Type: apiKey
In: header
Name: Authorization
## Download OpenAPI description
[RippleNet Server API](https://docs.ripple.com/_bundle/products/payments-odl/api-docs/ripplenet/reference/openapi.yaml)
## Auditing
Use these operations to audit your accounts.
| Operation | Method | Description |
| -- | -- | -- |
| [Get audits](/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/getaudits) | GET | Gets an audit trail of user actions and configuration changes (to accounts, fees, and rates) on a RippleNet instance. |
| [Get event trail for payment](/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/geteventtrailforpayment) | GET | Gets an audit trail of a payment's state changes on a local RippleNet instance. |
### Get audits
- [GET /audit](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/getaudits.md): Gets an audit trail of user actions and configuration changes (to accounts, fees, and rates) on a RippleNet instance.
### Get event trail for payment
- [GET /audit/payment/{id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/geteventtrailforpayment.md): Gets an audit trail of a payment's state changes on a local RippleNet instance.
## Balances and statements
Use these operations to view balances and statements for a ledger.
| Operation | Method | Description |
| -- | -- | -- |
| [Get balances](/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getbalances) | GET | Get balances for local and remote accounts owned by a RippleNet address. |
| [Get ledger balances](/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgerbalances) | GET | Get balances for ledger owned by a RippleNet address. |
| [Get statement](/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatement) | GET | Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range. |
| [Get statement by external account ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatementbyexternalaccountid) | GET | Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range. |
| [Get ledger account statement](/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgeraccountstatement) | GET | Get statement for a specified Ledger Account |
### Get balances
- [GET /monitor/balances](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getbalances.md): Get balances for local and remote accounts owned by a RippleNet address.
### Get ledger balances
- [GET /monitor/ledger/balances](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgerbalances.md): Get balances for ledger owned by a RippleNet address.
### Get statement
- [GET /statement/{account_name_with_address}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatement.md): Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range.
### Get statement by external account ID
- [GET /statement/external_account_id/{external_account_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatementbyexternalaccountid.md): Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range.
### Get ledger account statement (deprecated)
- [GET /statement/ledger/{account_name_with_address}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgeraccountstatement.md): Get statement for a specified Ledger account.
Note: This operation is deprecated. Use the Reports API to view your statements.
## Beneficiary confirmation
Use these operations to perform beneficiary confirmations.
| Operation | Method | Description |
| -- | -- | -- |
| [Get account lookup by status](/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbystatus) | GET | Get Account Lookup entities by status and other filters. |
| [Initiate account lookup](/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/initiateaccountlookup) | POST | Creates an Account Lookup request to validate a beneficiary's account details before sending a payment. |
| [Complete account lookup](/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/completeaccountlookup) | POST | Posts an Account Lookup response to validate a beneficiary's account details before payment. |
| [Get account lookup by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbyid) | GET | Gets an Account Lookup entity for its `account_lookup_id` value. |
### Get account lookup by status
- [GET /account_lookups](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbystatus.md): Get Account Lookup entities by status and other filters. Status defaults to REQUESTED.
### Initiate account lookup
- [POST /account_lookups/request](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/initiateaccountlookup.md): Creates an Account Lookup request to validate a beneficiary's account details before sending a payment. Account lookups are not part of the payment flow and can be made at any time in the payment process.
### Complete account lookup
- [POST /account_lookups/response](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/completeaccountlookup.md): Posts an Account Lookup response to validate a beneficiary's account details before payment.
### Get account lookup by ID
- [GET /account_lookups/{account_lookup_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbyid.md): Gets an Account Lookup entity for its account_lookup_id value.
## Diagnostics
Use these operations to view RippleNet Server health.
| Operation | Method | Description |
| -- | -- | -- |
| [Check health](/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkhealth) | GET | Gets the health status of the xCurrent server. |
| [Check heartbeat](/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkheartbeat) | GET | Gets the health status of the xCurrent server's peers. |
### Check health
- [GET /health](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkhealth.md): Gets the health status of the xCurrent server.
### Check heartbeat
- [GET /heartbeat](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkheartbeat.md): Gets the health status of the xCurrent server's peers. This request requires authorization. The timeout for this operation is 5 seconds.
## Exchange transfers
Use these operations to manage exchange transfers.
| Operation | Method | Description |
| -- | -- | -- |
| [Get exchange transfers](/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransfers) | GET | List all exchange transfers. |
| [Execute exchange transfer](/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/executeexchangetransfer) | POST | Execute an exchange transfer to move funds from one of your accounts in one currency, to another one of your accounts in another currency. |
| [Get exchange transfer quote ](/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferquote) | POST | Requests a quote for an exchange transfer. |
| [Complete exchange transfer ](/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/completeexchangetransfer) | POST | Updates the status of an exchange transfer to `COMPLETED`. Make this request once the exchange transfer has been made on both the ledger and on internal systems. |
| [Get exchange transfer by ID ](/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferbyid) | GET | Gets an exchange transfer by ID. |
### Get exchange transfers
- [GET /exchange_transfers](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransfers.md): Gets all exchange transfers.
### Execute exchange transfer
- [POST /exchange_transfers/execute](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/executeexchangetransfer.md): Execute an exchange transfer to move funds from one of your accounts in one currency (USD, for example) to another one of your accounts in another currency (EUR, for example) at an exchange rate set by your peer who maintains both of your accounts on their ledger. An exchange transfer enables you to fund a foreign currency account from your domestic currency account in bulk.
Before you make this request, you may want to use the Quote Exchange Transfer request to see a quote for the exchange transfer you want to make.
### Get exchange transfer quote
- [POST /exchange_transfers/quote](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferquote.md): Requests a quote for an exchange transfer.
### Complete exchange transfer
- [POST /exchange_transfers/{id}/complete](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/completeexchangetransfer.md): Updates the status of an exchange transfer to COMPLETED. Make this request once the exchange transfer has been made on both the ledger and on internal systems.
### Get exchange transfer by ID
- [GET /exchange_transfers/{id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferbyid.md): Gets an exchange transfer by ID.
## Fees
Use these operations to configure fees.
| Operation | Method | Description |
| -- | -- | -- |
| [Get fees](/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfees) | GET | List all fees. |
| [Create fee](/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/createfee) | POST | Creates a fee. |
| [Get fee by ID ](/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfeebyid) | GET | Gets a fee by ID. |
| [Update fee ](/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/updatefee) | PUT | Updates an existing fee. |
| [Delete fee ](/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/deletefee) | DELETE | Deletes a fee. Once deleted, a fee cannot be accessed. |
### Get fees
- [GET /config/fees](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfees.md): Gets a list of fees.
### Create fee
- [POST /config/fees](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/createfee.md): Creates a fee.
### Get fee by ID
- [GET /config/fees/{id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfeebyid.md): Gets a fee by ID.
### Update fee
- [PUT /config/fees/{id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/updatefee.md): Updates an existing fee.
### Delete fee
- [DELETE /config/fees/{id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/deletefee.md): Deletes a fee. Once deleted, a fee cannot be accessed.
## Non-orchestration payments
### Get payments
- [GET /payments](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpayments.md): Retrieves all payments in an instance of xCurrent that meet the criteria defined by the query parameters. You can use the query parameters to filter payments. The default parameters are sort_field : MODIFIED_AT , sort_direction : DESC , page : 0 , size : 10
### Get payment by payment ID
- [GET /payments/{payment_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentbypaymentid.md): Gets a payment by ID.
### Lock payment
- [POST /payments/{payment_id}/lock](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/lockpayment.md): Locks a payment. The beneficiary and all intermediary institutions agree to proceed with the payment by making successful Lock Payment requests. When the payment is still in a _partially_ LOCKED state, the beneficiary and all intermediary institutions who have _not_ locked, can reject lock payment or fail payment.
Once fully LOCKED, the originating institution can either fail payment or Settle payment. If the originating institution sends a Settle payment request, one of three things will happen:
* Successful payments move to the PREPARED state.
* Payments with insufficient liquidity automatically move into state SETTLEMENT_DECLINED, or
* Payments that are not settled before the crypto_transaction_id expires move to the FAILED state.
Note: Currently, when making a Create quote to return payment to a RippleNet Cloud account on a RippleNet ledger, the RippleNet user must lock and complete the payment. This means that the RippleNet user takes all action on the return: Get and Accept Quote, Lock, Settle, and Complete payment.
### Reject lock payment
- [POST /payments/{payment_id}/reject](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/rejectlockpayment.md): Rejects a payment from being locked.
This temporarily stops the payment and keeps it in a recoverable state so that user_info can be corrected. If the payment is incorrect for reasons outside of the user_info object, use Fail payment.
After a payment has been created by an Accept quote request, the beneficiary or an intermediary can choose to reject the payment, rather than Lock payment, with corrections to user_info in the reasons array. A rejected payment moves the payment state to LOCK_DECLINED from which it can be recovered by the originating institution with a Retry accept payment request.
If any one institution in the payment chain is configured to _auto-fail_, the payment automatically fails when the payment is rejected, moving to the FAILED state rather than the LOCK_DECLINED state.
### Retry accept payment
- [POST /payments/{payment_id}/retry_accept](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/retryacceptpayment.md): Returns a rejected payment from the LOCK_DECLINED state to the ACCEPTED state. The payment sender must include repaired user_info in the request body.
### Fail payment
- [POST /payments/{payment_id}/fail](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/failpayment.md): Fails a payment. Fail payment is a deliberate action that permanently stops the payment and puts it into a non-recoverable state.
An institution _rejects_ a payment to solicit changes to user_info; it _fails_ a payment to stop it altogether. After a payment has been created by an Accept quote request, you can fail the payment if it is your institution's turn to take an action on the payment.
The originating institution can fail a payment in states LOCKED and LOCK_DECLINED. The beneficiary and intermediary institutions can fail a payment in the ACCEPTED state. Beneficiary institutions can also fail a payment in the EXECUTED state. The general use case for failing an executed payment is to Create quote to return payment to the originating institution.
Payments in states PREPARED and SETTLEMENT_DECLINED can fail _automatically_—PREPARED when the crypto-transaction expires and SETTLEMENT_DECLINED when the payment expires.
### Settle payment
- [POST /payments/{payment_id}/settle](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/settlepayment.md): Executes a payment in the LOCKED state. Payment senders can also retry settling a payment in the SETTLEMENT_DECLINED state, after the error is corrected (and before the payment expires).Settle payment sends a _prepare payment transfer_ message, which travels to all participants in the payment. This sets the payment state to PREPARED, which means that funds have been transferred to the hold account on that xCurrent ledger. The beneficiary institution then signs the execution_condition (creating a payload) and sends an _execute payment transfer_ message, which travels to all participants in the payment). When the payment is fully executed, funds have been transferred from the hold account to the receiver account on all xCurrent ledgers and the payment state is set to EXECUTED.
### Finalize payment
- [POST /payments/{payment_id}/finalize](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/finalizepayment.md): Marks a payment with finalized sub-states that reflect what is happening to the payment while it is in the EXECUTED state. The receiving institution can make this request multiple times to provide a log of each subsequent sub-state until it is ready to make the Complete payment request.
### Add payment sub state
- [POST /payments/{payment_id}/sub_state](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentsubstate.md): Adds a sub-state to a payment that reflects what is happening to the payment while it is in the EXECUTED state. All nodes on the payment chain can make this request multiple times to provide a log of each subsequent sub-state until the receiver is ready to make the Complete payment request.This operation is especially useful for completing cash payouts—sending institutions can add clarifying user information to a payment after it has been executed (and money has been moved).
### Complete payment
- [POST /payments/{payment_id}/complete](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/completepayment.md): Marks a payment as complete by placing it in the COMPLETED state. Typically, the receiving institution makes this request when it has delivered payment funds to the final beneficiary on its internal systems outside of xCurrent.
### Add payment labels
- [PUT /payments/{payment_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentlabels.md): Adds a list of labels to the payment. To retrieve payments by label, see Get payments.
### Delete payment labels
- [DELETE /payments/{payment_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/deletepaymentlabels.md): Deletes an existing label from a payment. The label you provide is deleted from the labels array in the Payment object.
### Get payment node status
- [GET /payments/{payment_id}/node-status](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentnodestatus.md): Senders can query for the RippleNet instances (in a given payment chain) that have payments in the LOCKED state. This information is only stored on the sender's RippleNet instance.
### Get filtered payment by payment ID
- [GET /payments/filtered/{payment_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getfilteredpaymentbypaymentid.md): Returns a sanitized payment with sensitive content filtered from the user_info object. Filtering user_info is customizable in rnn.properties. Content that is denylisted by default: /Cdtr, /CdtrAcct, /Dbtr, /DbtrAcct, /InitgPty, /InstForCdtrAgt, /Purp, /RgltryRptg, /RltdRmtInf, /RmtInf, /UltmtCdtr, /UltmtDbtr, /outbound_instructions/beneficiary_info
### Create quote to return payment
- [POST /quote_collections/return](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreturnpayment.md): Creates a collection of quotes that can be used to return a payment.
The receiver can make this request while the payment is in states EXECUTED, COMPLETED, or FAILED. When the returned payment is successfully moved to the COMPLETED state, the original payment is moved to the RETURNED state.
Note: Currently, when making a Return Payment to a RippleNet Cloud account on a RippleNet ledger, the RippleNet user must lock and complete the payment. This means that the RippleNet user takes all action on the return: Get and Accept Quote, Lock, Settle, and Complete payment.
### Create quote to reverse payment
- [POST /quote_collections/reversal](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreversepayment.md): Creates a quote collection containing at most one quote that can be used to reverse a payment.
The receiver can make this request while the payment is in states EXECUTED, COMPLETED, or FAILED. When the returned payment is successfully moved to the COMPLETED state, the original payment is moved to the RETURNED state.
Note: Currently, when making a Reversal Payment to a RippleNet Cloud account on a RippleNet ledger, the RippleNet user must lock and complete the payment. This means that the RippleNet user takes all action on the reverse: Get and Accept Quote, Lock, Settle, and Complete payment.
## Orchestration payments
### Create orchestration payment
- [POST /v4/orchestration/payment](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/createorchestrationpayment.md): Creates an orchestration payment.
### Get orchestration payments
- [GET /v4/orchestration/payment](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpayments.md): Gets a list of orchestration payments.
### Get orchestration payment
- [GET /v4/orchestration/payment/{uniqueReferenceNumber}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpayment.md): Gets orchestration payment by unique reference number.
### Return orchestration payment
- [POST /v4/orchestration/payment/return](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/returnorchestrationpayment.md): Returns the orchestration payment with customer end-to-end ID.
### Accept orchestration payment
- [POST /v4/orchestration/payment/accept](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acceptorchestrationpayment.md): Accepts the orchestration payment with customer end-to-end ID and Quote ID.
### Reverse orchestration payment
- [POST /v4/orchestration/payment/reversal](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/reverseorchestrationpayment.md): Reverses the orchestration payment with customer end-to-end ID.
### Get orchestration notifications by status
- [GET /v4/orchestration/payment/notification](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotifications.md): Gets a list of orchestration payment notifications with a given status.
### Get orchestration notifications by unique reference number
- [GET /v4/orchestration/payment/notification/urn/{uniqueReferenceNumber}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotificationsbyuniquereferencenumber.md): Gets orchestration payment notifications with a given unique reference number.
### Get orchestration notification
- [GET /v4/orchestration/payment/notification/{uuid}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotificationbyuuid.md): Gets a given orchestration payment notification by UUID.
### Acknowledge orchestration notification
- [PUT /v4/orchestration/payment/notification/{uuid}/ack](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acknowledgeorchestrationpaymentnotificationbyuuid.md): Acknowledges an orchestration payment notification with a specified UUID.
### Acknowledge orchestration notifications
- [PUT /v4/orchestration/payment/notification/ack](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acknowledgeorchestrationpaymentnotifications.md): Acknowledges multiple orchestration payment notifications using a list of UUIDs.
### Post action to orchestration payment
- [POST /v4/orchestration/payment/action](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/sendorchestrationpaymentaction.md): Posts action into the Orchestration service.
## Payment expiration
Use these operations to manage payment expirations.
| Operation | Method | Description |
| -- | -- | -- |
| [Get payment expiry by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpirybyid) | GET | Gets the time to live (ttl) of a payment expiry in seconds. |
| [Update payment expiry](/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/updatepaymentexpiry) | PUT | Updates the time to live (ttl) of a payment expiry in seconds. |
| [Delete payment expiry](/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/deletepaymentexpiry) | DELETE | Deletes a payment expiry. |
| [Get payment expiries](/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpiries) | GET | Returns all configured payment expiries. |
| [Create payment expiry](/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/createpaymentexpiry) | POST | Creates a payment expiration window, or time to live (ttl), in seconds. |
### Get payment expiry by ID
- [GET /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpirybyid.md): Gets the time to live (ttl) of a payment expiry in seconds.
### Update payment expiry
- [PUT /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/updatepaymentexpiry.md): Updates the time to live (ttl) of a payment expiry in seconds.
### Delete payment expiry
- [DELETE /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/deletepaymentexpiry.md): Deletes a payment expiry.
### Get payment expiries
- [GET /config/payments/payment_expiries](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpiries.md): Returns all configured payment expiries.
### Create payment expiry
- [POST /config/payments/payment_expiries](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/createpaymentexpiry.md): Creates a payment expiration window, or time to live (ttl), in seconds.
## Payout method
Payout Method operations let receivers create and manage payout methods. Senders can generate quotes based on these receiver payout methods.
| Operation | Method | Description |
| -- | -- | -- |
| [Create payout method](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/createpayoutmethod) | POST | Creates a payout method. For example, `LOCAL_RAILS`. |
| [Get payout methods](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethods) | GET | Returns a list of payout methods created by a receiving partner. |
| [Get payout method by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethodbyid) | GET | Returns a payout method by its ID. |
| [Update payout method](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/updatepayoutmethod) | PUT | Updates a payout method. |
| [Delete payout method](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/deletepayoutmethod) | DELETE | Deletes a payout method. |
| [Get all categories](/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getallcategories) | GET | Returns all the payout method categories. |
### Create payout method
- [POST /config/payout_methods](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/createpayoutmethod.md): Creates a payout method (for example, LOCAL_RAILS). The Payout Method API lets receivers create and manage payout methods. Senders can generate quotes based on these receiver payout methods by enabling the flag enable_quote_per_payout_method in the body of the [Create quote collection] request. Caution: The existing quote parameter is named payment_method while elsewhere it is payout_method.Note: On-Demand Liquidity (ODL) receivers should set payment_method to the outlet_id or the string none (not an empty value) to keep funds at the destination exchange when paying out to a local rail.
### Get payout methods
- [GET /config/payout_methods](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethods.md): Returns a list of payout methods created by a receiving partner.
### Get payout method by ID
- [GET /config/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethodbyid.md): Returns a payout method by its ID.
### Update payout method
- [PUT /config/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/updatepayoutmethod.md): Updates a payout method.
### Delete payout method
- [DELETE /config/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/deletepayoutmethod.md): Deletes a payout method.
### Get all categories
- [GET /config/payout_methods/categories](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getallcategories.md): Returns all the payout method categories.
## Platform accounts
Use these operations to configure your RippleNet platform accounts.
| Operation | Method | Description |
| -- | -- | -- |
| [Create platform](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatform) | POST | Creates a RippleNet platform that represents a financial entity that holds accounts in the real world. For example, a Bank, Exchange, or Wallet provider. |
| [Get all platforms](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getallplatforms) | GET | Returns a list of all active RippleNet platforms. |
| [Get platform by platform ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformbyplatformid) | GET | Get a RippleNet platform by its platform ID. |
| [Update platform](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatform) | PUT | Updates a RippleNet platform. |
| [Delete platform by platform ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformbyplatformid) | DELETE | Deletes a RippleNet platform by its platform ID. |
| [Create platform account](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatformaccount) | POST | Creates a RippleNet platform account, which represents a real-world account owned by a financial entity. |
| [Get platform accounts](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccounts) | GET | Returns a paged list of all active RippleNet platform accounts. |
| [Get platform account by platform account ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountbyplatformaccountid) | GET | Gets a RippleNet platform account by its platform account ID. |
| [Update platform account](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatformaccount) | PUT | Updates a RippleNet platform account. |
| [Delete platform account by platform account ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformaccountbyplatformaccountid) | DELETE | Deletes a RippleNet platform account by its platform account ID. |
| [Get platform accounts balances](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountsbalances) | GET | Get balances for local Platform Accounts |
| [Get platform account statement](/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountstatement) | GET | Get statement for a specified Platform Account |
### Create platform
- [POST /config/platforms](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatform.md): Creates a RippleNet platform, which represents a financial entity that holds accounts in the real world (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platform account on a RippleNet node.
### Get all platforms
- [GET /config/platforms](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getallplatforms.md): Returns a list of all active RippleNet platforms.
### Get platform by platform ID
- [GET /config/platforms/{platform_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformbyplatformid.md): Get a RippleNet platform by its platform ID.
### Update platform
- [PUT /config/platforms/{platform_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatform.md): Updates a RippleNet platform, which represents a financial entity that holds accounts in the real world (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platform account on a RippleNet node.
### Delete platform by platform ID
- [DELETE /config/platforms/{platform_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformbyplatformid.md): Deletes a RippleNet platform by its platform ID.
### Create platform account
- [POST /config/platforms/accounts](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatformaccount.md): Creates a RippleNet platform account, which represents a real-world account owned by a financial entity (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platform account on a RippleNet node.
### Get platform accounts
- [GET /config/platforms/accounts](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccounts.md): Returns a paged list of all active RippleNet platform accounts.
### Get platform account by platform account ID
- [GET /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountbyplatformaccountid.md): Gets a RippleNet platform account by its platform account ID.
### Update platform account
- [PUT /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatformaccount.md): Updates a RippleNet platform account, which represents a real-world account owned by a financial entity (e.g. Bank, Exchange or Wallet provider).
### Delete platform account by platform account ID
- [DELETE /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformaccountbyplatformaccountid.md): Deletes a RippleNet platform account by its platform account ID.
### Get platform accounts balances
- [GET /monitor/platform/accounts/balances](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountsbalances.md): Get balances for local Platform Accounts
### Get platform account statement
- [GET /monitor/platform/accounts/{platformAccountId}/statement](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountstatement.md): Get statement for a specified Platform Account
## Pool accounts
Use these operations to configure your RippleNet pool accounts.
| Operation | Method | Description |
| -- | -- | -- |
| [Get all pool accounts](/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getallpoolaccounts) | GET | Returns a list of all pool accounts on a RippleNet node. |
| [Get pool account by pool account ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getpoolaccountbypoolaccountid) | GET | Get a pool account by its pool account ID. |
### Get all pool accounts
- [GET /config/pool_accounts](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getallpoolaccounts.md): Returns a list of all pool accounts on a RippleNet node.
### Get pool account by pool account ID
- [GET /config/pool_accounts/{pool_account_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getpoolaccountbypoolaccountid.md): Get a pool account by its pool account ID.
## Quote expiration
Use these operations to manage quote expirations.
| Operation | Method | Description |
| -- | -- | -- |
| [List quote expiries](/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpiries) | GET | Returns all configured quote expiries. |
| [Create quote expiry](/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/createquoteexpiry) | POST | Creates a quote expiration window, or time to live (ttl), in seconds. |
| [Get quote expiry](//products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpirybyid) | GET | Gets the configured quote expiration window, or time to live (ttl), in seconds. |
| [Update quote expiry](/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/updatequoteexpiry) | PUT | Sets a quote expiration window, or time to live (ttl), in seconds. |
### List quote expiries
- [GET /config/payments/quote_expiries](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpiries.md): Returns all configured quote expiries.
### Create quote expiry
- [POST /config/payments/quote_expiries](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/createquoteexpiry.md): Creates a quote expiration window, or time to live (ttl), in seconds.
### Get quote expiry
- [GET /config/payments/quote_expiries/{quote_expiry_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpirybyid.md): Gets the time to live (ttl) of a quote expiry in seconds.
### Update quote expiry
- [PUT /config/payments/quote_expiries/{quote_expiry_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/updatequoteexpiry.md): Updates the time to live (ttl) of a quote expiry in seconds.
## Quotes
Use these operations to manage your quotes.
| Operation | Method | Description |
| -- | -- | -- |
| [Accept quote](/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/acceptquote) | POST | Accepts a quote ID to start the payment process. |
| [Get quotes](/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotes) | GET | Gets a list of quotes. |
| [Get quote by quote ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotebyquoteid) | GET | Gets a quote by ID. |
| [Create quote collection](/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/createquotecollection) | POST | Creates a collection of quotes for a proposed payment. |
| [Get quote collection by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotecollectionbyid) | GET | Gets a quote collection that was created for a proposed payment. |
### Accept quote
- [POST /payments/accept](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/acceptquote.md): Accepts a quote ID to start the payment process.
### Get quotes
- [GET /quotes](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotes.md): Gets a list of quotes.
### Get quote by quote ID
- [GET /quotes/{quote_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotebyquoteid.md): Gets a quote by ID.
### Create quote collection
- [POST /quote_collections](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/createquotecollection.md): Creates a collection of quotes for a proposed payment.
### Get quote collection by ID
- [GET /quote_collections/{quote_collection_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotecollectionbyid.md): Gets a quote collection that was created for a proposed payment.
## Rates
Use these operations to manage your rates.
| Operation | Method | Description |
| -- | -- | -- |
| [Get rates](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getrates) | GET | Gets a list of configured exchange rates. |
| [Create rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/createrate) | POST | Creates an exchange rate for a specified currency pair. |
| [Get rate by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getratebyid) | GET | Gets a configured exchange rate by ID. |
| [Update rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/updaterate) | PUT | Updates an existing exchange rate. |
| [Delete rate](/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/deleterate) | DELETE | Deletes an exchange rate. Once deleted, an exchange rate cannot be accessed. |
### Get rates
- [GET /config/rates](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getrates.md): Gets a list of configured exchange rates.
### Create rate
- [POST /config/rates](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/createrate.md): Creates an exchange rate for a specified currency pair.
Example - Applying a margin to the live FX rate:
A USD-GBP live FX rate of 0.80 is provided by a third-party rate provider and you want to reduce that rate by 20 BPS. In this API call, you would set "value_type": "MARGIN", then "margin_type": "BPS", and "rate": "20". After that, during the Get quotes call, the final FX rate will be calculated as 0.80*(1-(20/10000))=0.7984 and then applied during quote creation.
### Get rate by ID
- [GET /config/rates/{rate_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getratebyid.md): Gets a configured exchange rate by ID.
### Update rate
- [PUT /config/rates/{rate_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/updaterate.md): Updates an existing exchange rate. With this call, you can change value_type from RATE to MARGIN (and vice versa), change the actual rate value of the specified value type, or both.
Example - Updating an existing margin applied to the live FX rate:
A USD-GBP live FX rate of 0.80 is provided by a third-party rate provider and you currently reduce that rate by 20 BPS. You now want to change it and reduce it by 10 BPS instead. To do so, set "rate": "10" in the request. Once the change is applied, the final FX rate is calculated as 0.80*(1-(10/10000))=0.7992 during the Get quotes call, and then applied during quote creation.
### Delete rate
- [DELETE /config/rates/{rate_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/deleterate.md): Deletes an exchange rate. Once deleted, an exchange rate cannot be accessed.
## Request for payment
Use these operations to interact with your payment requests.
| Operation | Method | Description |
| -- | -- | -- |
| [Get requests for payment](/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestsforpayment) | GET | Gets requests for payment that match the query parameters. |
| [Send request for payment](/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/sendrequestforpayment) | POST | Sends a new request for payment. |
| [Get request for payment by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestforpaymentbyid) | GET | Gets a request for payment by request for payment ID. |
| [Accept request for payment](/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/acceptrequestforpayment) | POST | Accepts a request for payment. |
| [Fail request for payment](/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/failrequestforpayment) | POST | Fails a request for payment. |
### Get requests for payment
- [GET /request_for_payment](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestsforpayment.md): Gets requests for payment that match the query parameters.
### Send request for payment
- [POST /request_for_payment](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/sendrequestforpayment.md): Sends a new request for payment.
### Get request for payment by ID
- [GET /request_for_payment/{request_for_payment_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestforpaymentbyid.md): Gets a request for payment by request for payment ID.
### Accept request for payment
- [POST /request_for_payment/{request_for_payment_id}/accept](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/acceptrequestforpayment.md): Accepts a request for payment.
### Fail request for payment
- [POST /request_for_payment/{request_for_payment_id}/fail](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/failrequestforpayment.md): Fails a request for payment.
## Transfers
Use these operations to manage your transfers.
| Operation | Method | Description |
| -- | -- | -- |
| [Get transfers](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers) | GET | Gets a list of transfers. |
| [Get transfer estimate](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferestimate) | GET | Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). |
| [Get transfer by ID](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferbyid) | GET | Gets a transfer by ID. |
| [Execute transfer](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/executetransfer) | POST | Transfers funds between accounts. |
| [Complete transfer](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/completetransfer) | POST | Updates the state of a transfer to `COMPLETED`. |
| [Add transfer labels](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/addtransferlabels) | PUT | Adds a list of labels to the transfer. To retrieve transfers by label, see [Get transfers](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers) |
| [Delete transfer labels](/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/deletetransferlabels) | DELETE | Deletes one or more existing labels from the transfer. |
### Get transfers
- [GET /transfers](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers.md): Gets a list of transfers.
### Get transfer estimate
- [GET /transfers/estimate](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferestimate.md): Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). This operation is only available to xCurrent instances enabled as receivers of xRapid payments.
### Get transfer by ID
- [GET /transfers/{transfer_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferbyid.md): Gets a transfer by ID.
### Execute transfer
- [POST /transfers/execute](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/executetransfer.md): Transfers funds between accounts. For example, use this request to fund a connector account by transferring funds from a transactional account to the connector account. You can also use this request to redeem funds to a transactional account by transferring funds from a connector account to the transactional account.
### Complete transfer
- [POST /transfers/{transfer_id}/complete](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/completetransfer.md): Updates the state of a transfer to COMPLETED. Make this request once the transfer has been made on both the ledger and on internal systems.
### Add transfer labels
- [PUT /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/addtransferlabels.md): Adds a list of labels to the transfer. To retrieve transfers by label, see Get transfers.
### Delete transfer labels
- [DELETE /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/deletetransferlabels.md): Deletes one or more existing labels from the transfer.